Bob Wya i changed my gpu need help with vulkn

Questions about Wine on Linux
Post Reply
adcdam
Level 2
Level 2
Posts: 34
Joined: Thu Feb 16, 2017 1:08 am

Bob Wya i changed my gpu need help with vulkn

Post by adcdam » Sat Oct 27, 2018 4:12 pm

Perhaps you can help me i was using a Nvidia card and now i use a Amd rx580, i installed Amdgpu in Funtoo linux, but Vulkan doesnt work and i need that to get DXVK working again,
could be the problem a old version of mesa? i was using mesa 17.2.8

if i do sudo eselect mesa list
i got this

Code: Select all

64bit i915 (Intel 915, 945)
64bit i965 (Intel GMA 965, G/Q3x, G/Q4x, HD)
64bit r300 (Radeon R300-R500)
64bit r600 (Radeon R600-R700, Evergreen, Northern Islands)
64bit sw (Software renderer)
  [1]   classic
  [2]   gallium *
32bit i915 (Intel 915, 945)
32bit i965 (Intel GMA 965, G/Q3x, G/Q4x, HD)
32bit r300 (Radeon R300-R500)
32bit r600 (Radeon R600-R700, Evergreen, Northern Islands)
32bit sw (Software renderer)
  [1]   classic
  [2]   gallium *
cat /var/log/Xorg.0.log | grep DRI got me this

Code: Select all

[    16.906] (**) AMDGPU(0): Option "DRI" "3"
[    17.975] (II) glamor: EGL version 1.5 (DRI2):
[    18.001] (II) AMDGPU(0): [DRI2] Setup complete
[    18.001] (II) AMDGPU(0): [DRI2]   DRI driver: radeonsi
[    18.001] (II) AMDGPU(0): [DRI2]   VDPAU driver: radeonsi
[    18.006] (**) AMDGPU(0): DRI3 enabled
[    18.039] (II) GLX: Initialized DRI2 GL provider for screen 0

i know dri3 is necessary to get Vulkan working


i have vulkan loader installed
and in my make .conf i have this

in the part of video

Code: Select all

VIDEO_CARDS="amdgpu radeonsi"

i dont know why Vulkan doent work

User avatar
Bob Wya
Level 12
Level 12
Posts: 2768
Joined: Sat Oct 16, 2010 7:40 pm
Location: Cambridge
Contact:

Re: Bob Wya i changed my gpu need help with vulkn

Post by Bob Wya » Sat Oct 27, 2018 5:13 pm

adcdam wrote:Perhaps you can help me i was using a Nvidia card and now i use a Amd rx580, i installed Amdgpu in Funtoo linux, but Vulkan doesn't work and i need that to get DXVK working again,
could be the problem a old version of mesa? i was using mesa 17.2.8
...
i don't know why Vulkan doesn't work
So with an AMD GPU, like the 580, to get the best Vulkan support you need to switch your mentality from stable, to ultra-bleeding edge.
media-libs/mesa 17.2.8 is positively ancient in Vulkan terms.

You'll need the 1.1.84 (or newer) native Linux vulkan-loader and dev-util/vulkan-headers (to compile wine-vulkan) package.
The dev-util/vulkan-tools is very useful to verify native Linux Vulkan support is go.
You can test both the 32-bit and 64-bit utilities from this package (e.g. vulkan-cube, vulkaninfo).

Wine will not have working Vulkan support, if your native Linux Vulkan support is broken (either half: 32-bit or 64-bit).
So DXVK will not work properly either...

I'd suggest taking a look at the Github: doitsujin / dxvk Issues tracker.
End users, of DXVK, are constantly posting issues... Which are simply due to out-dated Vuilkan, Mesa, or LLVM versions.
DXVK requires "very up-to-date everything"!!

You'll need something like:
media-libs/mesa +vulkan 18.2.3 or newer.
sys-devel/llvm 7.0.0 or newer.

You'll might want to look at Gentoo Wiki: AMDGPU.
Though I presume you've done so already.

You'll need to use wine-vanilla or wine-staging 3.19, which include the latest vulkan headers.

To test vulkan support, under Wine.
Use:

Code: Select all

winetricks vulkansdk
This Windows SDK package supplies another cube demo and vulkaninfo.
But now as Windows PE(+) binaries that you can run under Wine.

If you get stuck sorting out native Linux Vulkan support, you're probably better off asking on the Funtoo forums, Gentoo forums (in the "unwashed area"!), Linux Questions, etc.
I don't have any AMD graphics cards personally (too many bad experiences there :roll: ).
I can help a bit, but someone else with an AMD RX 400 or RX 500 series card is bound to be more help.

Bob

adcdam
Level 2
Level 2
Posts: 34
Joined: Thu Feb 16, 2017 1:08 am

Re: Bob Wya i changed my gpu need help with vulkn

Post by adcdam » Mon Oct 29, 2018 3:17 pm

Thank you a lot Bob, i was able to update lots of packages, including mesa so DXVK works now with the rx580 gpu!
thank you a lot!!!

User avatar
Bob Wya
Level 12
Level 12
Posts: 2768
Joined: Sat Oct 16, 2010 7:40 pm
Location: Cambridge
Contact:

Re: Bob Wya i changed my gpu need help with vulkn

Post by Bob Wya » Mon Oct 29, 2018 3:58 pm

adcdam wrote:Thank you a lot Bob, i was able to update lots of packages, including mesa so DXVK works now with the rx580 gpu!
thank you a lot!!!
Sweet. 8)
Do report back how things go... I'm always interested to hear how things are progressing on "Team Red"!

On a very "tangential" subject, perhaps you could help out with some troubleshooting... :wink:

Could you test out whether the Blizard Battle.net launcher works on Funtoo?
Either with app-emulation/wine-staging-3.18 or app-emulation/wine-staging-3.19...
I personally don't care that much. :lol:
But I don't like when something breaks on Gentoo, but not on Arch/Ubuntu! :roll: :cry:
I get a loader error with msvcrt.dll.so (Wine 32-bit builtin library), followed later by a segfault.

Bob

adcdam
Level 2
Level 2
Posts: 34
Joined: Thu Feb 16, 2017 1:08 am

Re: Bob Wya i changed my gpu need help with vulkn

Post by adcdam » Tue Oct 30, 2018 8:12 pm

Bob i was able to install mesa-18.2.3 today, i had to update Clang, i was using version 6.0.0 and i upgaded to version 7.0.0 with that portage let me build mesa-18.2.3 with no errors.
I tested the games that i had installed with dxvk version 0.80 and all work perfect with the Rx580 Card. Had some visual bugs with version 18.1.9 in Kingdom Come Deliverance but the bugs were gone after updating to version 18.2.3.
I think next month we will se version 18.3 with more vulkan upgrades

https://www.phoronix.com/scan.php?page= ... ansform-TF
i will test blizzard battle net.
Next year Amd is going to release Navi or another architecturein 7nn, it would be nice to see better Gpus.
Right now the price of Nvidia Rtx cards is too expensive but they have the perfomance crown.
im happy that i was able to test open source drivers they work much better than i expected.
best reagrds!!

User avatar
Bob Wya
Level 12
Level 12
Posts: 2768
Joined: Sat Oct 16, 2010 7:40 pm
Location: Cambridge
Contact:

Re: Bob Wya i changed my gpu need help with vulkn

Post by Bob Wya » Tue Oct 30, 2018 9:00 pm

@adcdam

Cool. Glad things are working OK. I've certainly got my eyes on a 7nm Navi part as well.

Hmmm. I've hit a brick wall with the Battle.net launcher.
Something is not playing nice with it, but only on Gentoo (other users have an identical issue).
The failure to load the 32-bit msvcrt.dll.so library may just be a "red herring" (in that the error could be caused by something earlier on).

I don't even use the Blizzard launcher, but it's really started to bug me now!
Why does it work OK on Arch and Ubuntu? But not Gentoo! :roll:

Bob

Post Reply